datacache <- new.env(hash=TRUE, parent=emptyenv())

nugohs1a520180hsrefseq <- function() showQCData("nugohs1a520180hsrefseq", datacache)
nugohs1a520180hsrefseq_dbconn <- function() dbconn(datacache)
nugohs1a520180hsrefseq_dbfile <- function() dbfile(datacache)
nugohs1a520180hsrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
nugohs1a520180hsrefseq_dbInfo <- function() dbInfo(datacache)

nugohs1a520180hsrefseqORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "nugohs1a520180hsrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "nugohs1a520180hsrefseq", "chip nugohs1a520180hsrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(nugohs1a520180hsrefseq_dbconn())
}

